# Enum WindowEvent.Type

java.lang.Object
java.lang.Enum<WindowEvent.Type>
com.codename1.ui.events.WindowEvent.Type

All Implemented Interfaces:
  `Serializable, Comparable<WindowEvent.Type>`

Enclosing class:
  `WindowEvent`

public static enum WindowEvent.Type extends Enum<WindowEvent.Type>
The type of window change that occurred.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Hidden`
  The window is no longer visible.
  `Minimized`
  The window was minimized/iconified.
  `Moved`
  The window was moved.
  `Resized`
  The window was resized.
  `Restored`
  The window was restored from a minimized/iconified state.
  `Shown`
  The window became visible.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WindowEvent.Type`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static WindowEvent.Type[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Shown

    public static final WindowEvent.Type Shown
    The window became visible.

  - ### Hidden

    public static final WindowEvent.Type Hidden
    The window is no longer visible.

  - ### Minimized

    public static final WindowEvent.Type Minimized
    The window was minimized/iconified.

  - ### Restored

    public static final WindowEvent.Type Restored
    The window was restored from a minimized/iconified state.

  - ### Resized

    public static final WindowEvent.Type Resized
    The window was resized.

  - ### Moved

    public static final WindowEvent.Type Moved
    The window was moved.

- ## Method Details

  - ### values

    public static WindowEvent.Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WindowEvent.Type valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null